/*

Copyright 2001 VLSI Solution Oy.

This file is part of PlusV Reference Software.

PlusV Reference Software is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

PlusV Reference Software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with PlusV Reference Software; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#ifndef PLUSV_H
#define PLUSV_H

#include "leo_types.h"
#include "fp.h"

void BlackmanWindow(flotari *fir, int taps);
int EncodeFile(const char *inName, const char *outName, const char *pvName,
	       enum SND_FILETYPE outFileType, int resample32, int lowBand,
		   int ENCODE_BANDS, int ENCODE_QUANT, int TOTAL_ENCODER_DELAY);
	       // [gameplaya15143] added in the high band, quant, and delay option :)
int DecodeFile(const char *inName, const char *outName, const char *pvName,
	       enum SND_FILETYPE outFileType);

#endif
